Package org.apache.sysds.hops.codegen.cplan.cuda

## Class Ternary

- java.lang.Object
- - org.apache.sysds.hops.codegen.cplan.CodeTemplate
  - - org.apache.sysds.hops.codegen.cplan.cuda.Ternary

    public class Ternary
    extends CodeTemplate

### Constructor Summary

Constructors
`Ternary()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getTemplate​(CNodeTernary.TernaryType type, boolean sparse)`

### Methods inherited from class org.apache.sysds.hops.codegen.cplan.CodeTemplate

`getTemplate, getTemplate, getTemplate, getTemplate`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Ternary

    public Ternary()

### Method Detail

#### getTemplate

    public String getTemplate​(CNodeTernary.TernaryType type,
                              boolean sparse)

Overrides:
  `getTemplate` in class `CodeTemplate`